adinstbpm -

Milestone #19607

Milestone # 20350 (New): IOTA BPM deployment

IOTA ACNET Interface
04/09/2018 02:30 PM - John Diamond

Status:
Target version:

New Start date:
% Done:
Description

An ACNET interface for the IOTA BPM system.

Where the Booster ACNET interface was designed to work with the existing console application, the IOTA interface will be starting

fresh and we will have more control over it's design.

Subtasks:

Task # 19608: Crate status and control device

Task # 20520: IOTA BPM TBT Array Device

Task # 20521: IOTA BPM Raw Array Device

Task # 20522: ACNET device for Arming IOTA BPMs

Task # 20663: Separate IOTA ACNET code from BoosterBPMACNET.C and BoosterCrateACNET.C
Task # 20664: Orbit structure device for IOTA BPMs
History

#1 - 07/18/2018 02:04 PM - John Diamond
- Parent task set to #20350

#2 - 08/03/2018 09:12 AM - John Diamond

Some specs from Nathan via e-mail:
(4 ch)
bpom location identifiers
as we can make it (8k?)

arrays for selected bunch (1-4) (h=4)
bunch number select for all bpms

:N] - horizontal positions, 0 is average over threshold
:N] - vertical positions, 0 is average over threshold

:N] - sum intensity signal, 0 is average over threshold
:N] - A button magnitudes, 0 is average over threshold
:N] - B button magnitudes, 0 is average over threshold
:N] - C button magnitudes, 0 is average over threshold
:N] - D button magnitudes, 0 is average over threshold

Data Readback by "paging" bpm raw data readback

index for selecting bpm to read (1-21)

page to report from each channel (1-16) to support up to 128k samples

N] - Raw ADC samples for channel A for selected bpm
N] - Raw ADC samples for channel B for selected bpm
N] - Raw ADC samples for channel C for selected bpm
N] - Raw ADC samples for channel D for selected bpm

Other ACNET controls?

- software

arm or TCLK arm control

- someway to implement buffers for TBT data
- orbit data...

#3 - 08/03/2018 09:15 AM - John Diamond

- Due date set to

04/13/2021

08/03/2018
due to changes in a related task: #20520

#4 - 08/03/2018 09:19 AM - John Diamond
- Due date set to 08/03/2018

due to changes in a related task: #20521

#5 - 08/03/2018 09:23 AM - John Diamond
- Due date set to 08/03/2018

due to changes in a related task: #20522

#6 - 08/22/2018 08:45 PM - John Diamond
- Due date set to 08/22/2018

due to changes in a related task: #20664
https://cdcvs.fnal.gov/redmine/issues/20520
https://cdcvs.fnal.gov/redmine/issues/20521
https://cdcvs.fnal.gov/redmine/issues/20522
https://cdcvs.fnal.gov/redmine/issues/20664
